#version 330 core

uniform sampler2D textu;

in vec2 uv;
in vec4 oColor;
in vec4 oPos;
layout(location = 0) out vec4 color;
layout(location = 1) out vec4 pos;
uniform sampler2D colorb;

void main() {
	vec4 f = texture(textu, vec2(uv.x, 1.-uv.y));
	color.rgb = vec3(1.0) - f.rrr;
	color.a = f.a;
	if (color.a < 0.5) discard; // idk but woerks
	color = oColor;
	pos = oPos;
}
